/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2004 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#ifndef __HISTORY_H
#define __HISTORY_H

#include <qstringlist.h>

class QSettings;

class History
{
	private:
		QStringList l;
		QString key;
		int size;
	public:
		History(const QString &key, int size = 10);
		~History();
		void append(const QString &txt);
		bool save(QSettings *cfg);
		bool load(QSettings *cfg);
		QString first();
		QStringList getAll() const;
};

#endif

